
%Resonant controller
%reference following

a=0.01;
b=0.05;
num=0.05;
den=[1 0.01];
p=0.1; %desired closed-loop pole
Acl=conv([1 p],[1 p]);
Acl=conv(Acl,[1 p]);
t2=Acl(2);
t1=Acl(3);
t0=Acl(4);
w0=0.1;
c2=(t2-a)/b; 
c1=(t1-w0^2)/b; 
c0=(t0-a*w0^2)/b;
numc=[c2 c1 c0];
denc=[1 0 w0^2];
Tsim=200;
deltat=0.01;
sim('ReController');
figure(1)
plot(t,y,'r')
hold on
plot(t,r,'--')
set(gca,'FontSize',20,'FontName','helvetica');
ylabel('y&r')
xlabel('Time (sec)')
figure(2)

plot(t,u)
set(gca,'FontSize',20,'FontName','helvetica');
ylabel('u')
xlabel('Time (sec)')

